\section{Additional Solutions}
\label{sec:additional-solutions}
In this section we propose our ideas that solve the \nameref{sec:problem} and
its \nameref{sec:related-problems} without entering in details about their
technical feasibility and their limitations.

We propose to enhance the current multi-robot system with autonomous navigation
in order to map first a large area automatically. Then the robots could switch
to manual control and other autonomous navigation tasks where the simultaneous
localization and mapping algorithm does not need to build a new map from
scratch, merely update it. This two-stage method would attempt to structure the
unstructured environments and could make use of robots with multiple mobility
modalities (quadcopters and rovers) in the first stage (reconnaissance) and use
a completely different set of robots in the second stage, taking the advantages
of a heterogeneous sensor network. The first stage navigation would be governed
by an algorithm that optimizes map accuracy and mapping speed, creating loop
closures at will instead of waiting them to happen.

A possible application of this idea could be a construction site with
autonomous trucks, loaders and other construction vehicles. Instead of
providing them all with SLAM capabilities and their required sensors, they
could have a subset of sensors that allow collision avoiding and localization
in an already built map. While a small fleet of quadcopters have mapped the
environment early on and they periodically update it. These quadcopters would
need to have an improved set of sensors that allow accurate SLAM capabilities,
but at the same time these expensive sensors are safer in quadcopters than
they would be in the construction vehicles, as the only mission of the
quadcopter is to map the terrain, not to interact with it. We believe that
multi-modal robot collaboration can be economically feasible in this and other
scenarios. 
